From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1206672-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 29F58138359
	for <garchives@archives.gentoo.org>; Thu, 17 Sep 2020 16:56:29 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 50CD2E0858;
	Thu, 17 Sep 2020 16:56:28 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 36298E0857
	for <gentoo-commits@lists.gentoo.org>; Thu, 17 Sep 2020 16:56:28 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 26031340E64
	for <gentoo-commits@lists.gentoo.org>; Thu, 17 Sep 2020 16:56:27 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 5D09D373
	for <gentoo-commits@lists.gentoo.org>; Thu, 17 Sep 2020 16:56:24 +0000 (UTC)
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Michał Górny" <mgorny@gentoo.org>
Message-ID: <1600361780.b0c1e014da4e68423a1bf2751c97d0e17ef50a48.mgorny@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/pypy3/pypy3-7.3.1-r2.ebuild dev-python/pypy3/pypy3-7.3.1-r3.ebuild dev-python/pypy3/pypy3-7.3.2_rc2-r1.ebuild dev-python/pypy3/pypy3-7.3.2_rc2.ebuild dev-python/pypy3/pypy3-7.3.2_rc2_p37-r1.ebuild dev-python/pypy3/pypy3-7.3.2_rc2_p37.ebuild
X-VCS-Directories: dev-python/pypy3/
X-VCS-Committer: mgorny
X-VCS-Committer-Name: Michał Górny
X-VCS-Revision: b0c1e014da4e68423a1bf2751c97d0e17ef50a48
X-VCS-Branch: master
Date: Thu, 17 Sep 2020 16:56:24 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 54dd96f9-7933-43a2-96ba-fe7da6852ada
X-Archives-Hash: 37f9a002e91e8a9d21b95d1c9da1823c

commit:     b0c1e014da4e68423a1bf2751c97d0e17ef50a48
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 17 14:23:52 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep 17 16:56:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0c1e014

dev-python/pypy3: Fix PYTHON path for byte-compiling modules

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy3/{pypy3-7.3.1-r2.ebuild => pypy3-7.3.1-r3.ebuild}  | 7 ++++++-
 .../pypy3/{pypy3-7.3.2_rc2.ebuild => pypy3-7.3.2_rc2-r1.ebuild}    | 7 ++++++-
 .../{pypy3-7.3.2_rc2_p37.ebuild => pypy3-7.3.2_rc2_p37-r1.ebuild}  | 7 ++++++-
 3 files changed, 18 insertions(+), 3 deletions(-)

diff --git a/dev-python/pypy3/pypy3-7.3.1-r2.ebuild b/dev-python/pypy3/pypy3-7.3.1-r3.ebuild
similarity index 96%
rename from dev-python/pypy3/pypy3-7.3.1-r2.ebuild
rename to dev-python/pypy3/pypy3-7.3.1-r3.ebuild
index 3388f868455..4f4f4bded68 100644
--- a/dev-python/pypy3/pypy3-7.3.1-r2.ebuild
+++ b/dev-python/pypy3/pypy3-7.3.1-r3.ebuild
@@ -204,7 +204,9 @@ src_install() {
 	fi
 
 	local -x EPYTHON=pypy3
-	local -x PYTHON=${ED}${dest}/pypy3-c
+	local -x PYTHON=${ED}${dest}/pypy3-c-${PV}
+	# temporarily copy to build tree to facilitate module builds
+	cp -p "${BROOT}${dest}/pypy3-c-${PV}" "${PYTHON}" || die
 
 	echo "EPYTHON='${EPYTHON}'" > epython.py || die
 	python_moduleinto /usr/lib/pypy3.6/site-packages
@@ -212,4 +214,7 @@ src_install() {
 
 	einfo "Byte-compiling Python standard library..."
 	python_optimize "${ED}${dest}"
+
+	# remove to avoid collisions
+	rm "${PYTHON}" || die
 }

diff --git a/dev-python/pypy3/pypy3-7.3.2_rc2.ebuild b/dev-python/pypy3/pypy3-7.3.2_rc2-r1.ebuild
similarity index 96%
rename from dev-python/pypy3/pypy3-7.3.2_rc2.ebuild
rename to dev-python/pypy3/pypy3-7.3.2_rc2-r1.ebuild
index 45d2ebfd217..acb328c4e72 100644
--- a/dev-python/pypy3/pypy3-7.3.2_rc2.ebuild
+++ b/dev-python/pypy3/pypy3-7.3.2_rc2-r1.ebuild
@@ -191,7 +191,9 @@ src_install() {
 	fi
 
 	local -x EPYTHON=pypy3
-	local -x PYTHON=${ED}${dest}/pypy3-c
+	local -x PYTHON=${ED}${dest}/pypy3-c-${PV}
+	# temporarily copy to build tree to facilitate module builds
+	cp -p "${BROOT}${dest}/pypy3-c-${PV}" "${PYTHON}" || die
 
 	echo "EPYTHON='${EPYTHON}'" > epython.py || die
 	python_moduleinto /usr/lib/pypy3.6/site-packages
@@ -199,4 +201,7 @@ src_install() {
 
 	einfo "Byte-compiling Python standard library..."
 	python_optimize "${ED}${dest}"
+
+	# remove to avoid collisions
+	rm "${PYTHON}" || die
 }

diff --git a/dev-python/pypy3/pypy3-7.3.2_rc2_p37.ebuild b/dev-python/pypy3/pypy3-7.3.2_rc2_p37-r1.ebuild
similarity index 95%
rename from dev-python/pypy3/pypy3-7.3.2_rc2_p37.ebuild
rename to dev-python/pypy3/pypy3-7.3.2_rc2_p37-r1.ebuild
index 530c3ef5ceb..d750cf9c4b2 100644
--- a/dev-python/pypy3/pypy3-7.3.2_rc2_p37.ebuild
+++ b/dev-python/pypy3/pypy3-7.3.2_rc2_p37-r1.ebuild
@@ -162,7 +162,9 @@ src_install() {
 	fi
 
 	local -x EPYTHON=pypy3
-	local -x PYTHON=${ED}${dest}/pypy3-c
+	local -x PYTHON=${ED}${dest}/pypy3-c-${PYPY_PV}
+	# temporarily copy to build tree to facilitate module builds
+	cp -p "${BROOT}${dest}/pypy3-c-${PYPY_PV}" "${PYTHON}" || die
 
 	echo "EPYTHON='${EPYTHON}'" > epython.py || die
 	python_moduleinto /usr/lib/pypy3.7/site-packages
@@ -170,4 +172,7 @@ src_install() {
 
 	einfo "Byte-compiling Python standard library..."
 	python_optimize "${ED}${dest}"
+
+	# remove to avoid collisions
+	rm "${PYTHON}" || die
 }